Subject: [netmod] [Errata Verified] RFC8792 (6739)

From: RFC Errata System <[email-masked]>
Date: Thu, 18 Nov 2021 18:39:05 -0800 (PST)

The following errata report has been verified for RFC8792,
"Handling Long Lines in Content of Internet-Drafts and RFCs". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6739

--------------------------------------
Status: Verified
Type: Editorial

Reported by: Martin Thomson <[email-masked]>
Date Reported: 2021-11-18
Verified by: RFC Editor  

Section: 7.1.2

Original Text
-------------
Exceptionally long lines MAY be folded multiple times.

Corrected Text
--------------
Exceptionally long lines MAY be folded multiple times.

Notes
-----
The "MAY" in this text lacks a bcp14 XML tag. This is apparent in the non-text renderings.

--VERIFIER NOTES--
This also applies to section 8.1.2

--------------------------------------
RFC8792 (draft-ietf-netmod-artwork-folding-12)
--------------------------------------
Title               : Handling Long Lines in Content of Internet-Drafts and RFCs
Publication Date    : June 2020
Author(s)           : K. Watsen, E. Auerswald, A. Farrel, Q. Wu
Category            : INFORMATIONAL
Source              : Network Modeling
Area                : Operations and Management
Stream              : IETF

---

From: Kent Watsen <[email-masked]>
Date: Fri, 19 Nov 2021 17:05:34 +0000

I do not think this Errata should've been verified because RFC 7991 says that use of this tag is optional.

	2.9.  <bcp14>

	   Marks text that are phrases defined in [BCP14] such as "MUST",
	   "SHOULD NOT", and so on.  When shown in some of the output
	   representations, the text in this element might be highlighted.  The
	   use of this element is optional.

I understand that there might be a consistency issue, but to take an RFC from having zero errata to non-zero errata over this seems petty.

FWIW, the authors did not have any <bcp14> elements in the original XML.  Any such tags found in the final RFC must’ve been added by a copy editor.

K. // as a contributor

> On Nov 18, 2021, at 9:39 PM, RFC Errata System <[email-masked]> wrote:
>

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 22 Nov 2021 10:11:07 +0000

Hi Kent, Qin,

Note that processing for editorial errata, like this one, are now generally handled directly by the RFC editor rather than the AD.

I appreciate where you are coming from, and given the RFC 7991 text, I agree that strictly this is not strictly a mistake, given it is allowed.  However, I can see why Martin raised this, and having the BCP 14 XML tags used consistently in the document (either everywhere or not at all) does aid readability.

I had flagged this errata up with the IESG on Friday, questioning whether this change should really come under the scope of being an errata or whether it just required the HTML to be re-generated, and this was discussed by the RFC editor and team responsible for the XML Schema.  However, the problem raised is that it is the XML that is the canonical definition of the RFC and it is the XML that needs modification to fix this issue, and I think that errata is currently the only mechanism that we have to make this change.

My bigger concern here is whether using this element in the XML should be optional at all.  That means for a given RFC 2119 keyword there are now two different ways that it can be represented in a generated HTML RFC: "MUST" and highlighted "MUST".   So, I agree that there is something that more generally needs to be considered and perhaps fixed here.  I will raise this with the RSE in the context of RFC 7991 bis.

Regards,
Rob

-----Original Message-----
From: iesg <[email-masked]> On Behalf Of Kent Watsen
Sent: 19 November 2021 17:06
To: Rob Wilton (rwilton) <[email-masked]>
Cc: Erik Auerswald <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Qin Wu <[email-masked]>; [email-masked]
Subject: Re: [Errata Verified] RFC8792 (6739)

	2.9.  <bcp14>

K. // as a contributor